
QGIS Application - Bug report #2337

Projection issue: freezes when reprojecting a csv file

2010-01-02 07:26 AM - dr -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12397

Description

1) Open attached csv file with delimited text plugin;

2) Set on the fly CRS transformation and set WGS84 /UTM zone 43N CRS (Projected);

3) Click on layer name and choose Zoom to layer extent;

4) Open any shapefile in lon/lat wgs84 projection;

At result QGIS freezes.

History

#1 - 2010-01-02 09:06 AM - Giovanni Manghi

If the points you are importing are in the WGS84 /UTM zone system, then you need to configure the vector crs accordingly in the vector properties ->

general tab. Alternatively save the imported csv as shapefile (right button in the legend -> save as shapefile) and qgis will ask you the crs of the vector.

In my case (Ubuntu linux, qgis 1.4), with OTFR enabled, the imported csv defined with the wrong crs and other layers, I'm not experiencing freezes, but I

cannot see anything in the canvas.

But that is not the worst part:

define the correct crs (WGS84 /UTM zone 43N CRS) for the imported csv, enable otfr and define as project crs WGS84 /UTM zone 43N CRS. Add a

wgs84 layer (example: http://thematicmapping.org/downloads/TM_WORLD_BORDERS-0.3.zip ), it will show fine.

Zoom out, at some point qgis crashes:

Fatal: ASSERT: "std::abs( r_d ) > SMALL_NUM && std::abs( r_n ) > SMALL_NUM" in file /home/gio/qgis/qgis_unstable/src/core/qgsclipper.h, line

270

Aborted

#2 - 2010-01-02 09:26 AM - Maxim Dubinin

freezes for me too

that was the point probably, yes, trying to project already projected vector is bad, but is it possible to indicate it with more obvious error message and not

just freeze QGIS on trying to continue working with it like nothing happened?
#3 - 2010-01-02 09:42 AM - Giovanni Manghi

Replying to [comment:2 gislab]:

freezes for me too

that was the point probably, yes, trying to project already projected vector is bad, but is it possible to indicate it with more obvious error message

and not just freeze QGIS on trying to continue working with it like nothing happened?

When importing csv files it would be enough to have the plugin ask for the CRS.

#4 - 2010-01-02 12:21 PM - Maxim Dubinin

Replying to [comment:3 lutra]:

When importing csv files it would be enough to have the plugin ask for the CRS.

I think this would be a good solution.

#5 - 2011-03-03 02:20 AM - Anne Ghisla

Replying to [comment:4 gislab]:

Replying to [comment:3 lutra]:

When importing csv files it would be enough to have the plugin ask for the CRS.

I think this would be a good solution.

With QGIS Trunk r 15304, and Options > CRS > Prompt for CRS, then in Project properties I set projection as  WGS84 /UTM zone 43N and OFTR

enabled, everything goes fine (load wgs84 layers and zoom out).

If I set as QGIS default Options > CRS > Global default CRS, I load the csv layer and see it with wrong coordinates, then I set Project properties as above.

I zoom to layer extent and get a popup window titled "qgis " and with text "Could not draw 54-22 because" and an empty space. In the shell I read:

failed with error: latitude or longitude exceeded limits

Debug: /home/anne/src/qgis/src/core/qgscoordinatetransform.cpp: 490: (transformCoords) throwing exception

Debug: /home/anne/src/qgis/src/core/qgscoordinatetransform.cpp: 304: (transformInPlace) rethrowing exception

Debug: /home/anne/src/qgis/src/core/qgsvectorlayer.cpp: 1107: (draw) Failed to transform a point while drawing a feature of  type _. Rendering

stopped. forward transform of

(10316.6, 23900.4)

This is almost OK, it's not a freeze and the user can safely remove the faulty layer and fix CRS settings. However the error message does not show up in

the popup window.

Anne

2025-12-15 2/3



#6 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#8 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-09-06 01:03 AM - Magnus Homann

- Assignee changed from nobody - to Magnus Homann

- Pull Request or Patch supplied set to No

#10 - 2012-12-30 05:09 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

This does not happens any more on master.

Files

54-22.csv 587 Bytes 2010-01-02 dr -
